Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 92920 - sandbox violation in gnome-related ebuilds (/var/lib/scrollkeeper/)
Summary: sandbox violation in gnome-related ebuilds (/var/lib/scrollkeeper/)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GNOME (show other bugs)
Hardware: AMD64 Linux
: Highest major (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords:
: 95162 95171 95172 95182 95188 95194 95227 95228 95241 95301 95668 95681 95804 97346 99333 (view as bug list)
Depends on:
Blocks: 91329
  Show dependency tree
 
Reported: 2005-05-17 07:08 UTC by Seemant Kulleen (RETIRED)
Modified: 2007-04-23 12:18 UTC (History)
32 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
fixes issues with scrollkeeper twinstall (gnome2-eclass_fix_destdir.patch,332 bytes, patch)
2005-05-20 08:41 UTC, foser (RETIRED)
Details | Diff
gnome2.eclass sandbox patch (gnome2.eclass.patch,1.01 KB, patch)
2005-06-06 02:50 UTC, Lars Schünzel
Details | Diff
Output of emerge evolution (2.2.1.1-r1) (evolution-2.2.1.1-r1_emerge.log.gz,95.95 KB, application/octet-stream)
2005-07-07 09:06 UTC, Derek Berube
Details
emerge info for my machine (emerge_info.txt,2.41 KB, text/plain)
2005-07-07 09:06 UTC, Derek Berube
Details
Patch for the gnome2 eclass to add _sklocalstatedir (gnome2_sklocal.patch,494 bytes, text/plain)
2005-07-29 01:16 UTC, Steev Klimaszewski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Seemant Kulleen (RETIRED) gentoo-dev 2005-05-17 07:08:05 UTC
>>> /var/tmp/portage/gedit-2.10.2/image/var/lib/scrollkeeper/am/scrollkeeper_extended_cl.xml
>>> /var/tmp/portage/gedit-2.10.2/image/var/lib/scrollkeeper/am/scrollkeeper_cl.xml
>>> /var/tmp/portage/gedit-2.10.2/image/var/lib/scrollkeeper/be/
>>> /var/tmp/portage/gedit-2.10.2/image/var/lib/scrollkeeper/be/scrollkeeper_extended_cl.xml
>>> /var/tmp/portage/gedit-2.10.2/image/var/lib/scrollkeeper/be/scrollkeeper_cl.xml
>>> /var/tmp/portage/gedit-2.10.2/image/var/lib/scrollkeeper/hu/
>>> /var/tmp/portage/gedit-2.10.2/image/var/lib/scrollkeeper/hu/scrollkeeper_extended_cl.xml
>>> /var/tmp/portage/gedit-2.10.2/image/var/lib/scrollkeeper/hu/scrollkeeper_cl.xml
>>> /var/tmp/portage/gedit-2.10.2/image/var/lib/scrollkeeper/tr/
>>> /var/tmp/portage/gedit-2.10.2/image/var/lib/scrollkeeper/tr/scrollkeeper_extended_cl.xml
>>> /var/tmp/portage/gedit-2.10.2/image/var/lib/scrollkeeper/tr/scrollkeeper_cl.xml
Comment 1 Seemant Kulleen (RETIRED) gentoo-dev 2005-05-17 07:09:12 UTC
 equery b /var/tmp/portage 
[ Searching for file(s) /var/tmp/portage in *... ]
app-editors/gedit-2.10.2 (/var/tmp/portage)
gnome-base/gnome-panel-2.10.0 (/var/tmp/portage)
gnome-base/gnome-desktop-2.10.1 (/var/tmp/portage)
gnome-extra/gconf-editor-2.10.0 (/var/tmp/portage)
gnome-extra/zenity-2.10.0 (/var/tmp/portage)
gnome-extra/gnome-utils-2.10.1 (/var/tmp/portage)
gnome-extra/gnome-system-monitor-2.10.1 (/var/tmp/portage)
www-client/epiphany-1.6.3 (/var/tmp/portage)

is the list of things so far (emerge gnome has not completed yet)
Comment 2 foser (RETIRED) gentoo-dev 2005-05-20 08:39:30 UTC
well it seems that some changes that I haven't been able to pinpoint is cramping
our style here.

Please test the following patch to the gnome2 eclass locally, it fixes this
issue , but I'm wondering if it makes a difference to older releases/ebuilds.
Comment 3 foser (RETIRED) gentoo-dev 2005-05-20 08:41:16 UTC
Created attachment 59384 [details, diff]
fixes issues with scrollkeeper twinstall
Comment 4 Charles Pence 2005-05-26 07:46:01 UTC
Request changing this to 'all' hardware, I'm getting this bug on x86.
Comment 5 Kerin Millar 2005-06-03 05:56:55 UTC
I am afflicted also:

# cd /var/db/pkg
# grep /var/tmp */*/CONTENTS | egrep -o "/var/tmp/portage/[^/]*" | uniq
/var/tmp/portage/gedit-2.10.0
/var/tmp/portage/gnumeric-1.4.2
/var/tmp/portage/gnome-applets-2.10.0
/var/tmp/portage/gnome-desktop-2.10.0
/var/tmp/portage/gnome-panel-2.10.0
/var/tmp/portage/gconf-editor-2.10.0
/var/tmp/portage/gnome-system-monitor-2.10.0
/var/tmp/portage/gnome-utils-2.10.0
/var/tmp/portage/epiphany-1.6.3

foser, I tried your fix and it appears to do the job - thanks :) My only minor
complaint is that the affected packages then seem to end up with invalid (i.e.
empty) entries for the following two directories after building:

/var
/var/lib

Granted, this is of no functional consequence, but would it be possible to have
it cleaned up? Furthermore, would it not be necessary to also refrain from
assigning "scrollkeeper_localstate_dir" on line #55 also? I am curious.
Comment 6 foser (RETIRED) gentoo-dev 2005-06-03 06:21:31 UTC
the /var/lib is needed for scrollkeeper if it doesn't exist, so it shouldbe there.

The second occurance of scrollkeeper_localstate_date is in another make path and
as long as it doesn't freak out I see no reason to change it.
Comment 7 foser (RETIRED) gentoo-dev 2005-06-05 08:22:32 UTC
this fix breaks scrollkeeper 1.2.0 here, can someone confirm ?
Comment 8 foser (RETIRED) gentoo-dev 2005-06-06 01:12:36 UTC
*** Bug 95182 has been marked as a duplicate of this bug. ***
Comment 9 foser (RETIRED) gentoo-dev 2005-06-06 01:12:57 UTC
*** Bug 95162 has been marked as a duplicate of this bug. ***
Comment 10 foser (RETIRED) gentoo-dev 2005-06-06 01:13:34 UTC
*** Bug 95172 has been marked as a duplicate of this bug. ***
Comment 11 Jakub Moc (RETIRED) gentoo-dev 2005-06-06 01:38:34 UTC
*** Bug 95188 has been marked as a duplicate of this bug. ***
Comment 12 Lars Schünzel 2005-06-06 02:50:37 UTC
Created attachment 60714 [details, diff]
gnome2.eclass sandbox patch

I think the problem is the conditional clause using USE_DESTDIR. If it is
changed to [ "${FEATURES/sandbox/}" != "${FEATURES}" ] like in kmod.eclass it
works for me.
Comment 13 Jakub Moc (RETIRED) gentoo-dev 2005-06-06 03:50:45 UTC
*** Bug 95194 has been marked as a duplicate of this bug. ***
Comment 14 Jakub Moc (RETIRED) gentoo-dev 2005-06-06 04:38:01 UTC
Guys, URGENT fix is needed! Every other bug report today is caused by fsck-ed up
eclass. Please, fix this ASAP. 
Comment 15 Steve Carr 2005-06-06 04:59:35 UTC
temporary workaround that i used was to use: 

SANDBOX_DISABLED=1 emerge <whatyouwant>

though this should not be condoned as disabling sandbox could lead to more
problems further down - but i simply needed to get the system up and running
quickly.
Comment 16 Jure Repinc 2005-06-06 05:22:29 UTC
I just got this error a couple of minutes ago while trying to emerge
media-gfx/eog-2.10.0.

# emerge --info
Portage 2.0.51.22-r1 (default-linux/amd64/2005.0, gcc-3.4.4, glibc-2.3.5-r0,
2.6.11-gentoo-r10 x86_64)
=================================================================
System uname: 2.6.11-gentoo-r10 x86_64 AMD Athlon(tm) 64 Processor 3000+
Gentoo Base System version 1.6.12
distcc 2.18.3 x86_64-pc-linux-gnu (protocols 1 and 2) (default port 3632) [disabled]
ccache version 2.4 [enabled]
dev-lang/python:     2.3.5
sys-apps/sandbox:    1.2.8
sys-devel/autoconf:  2.13, 2.59-r6
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.5
sys-devel/binutils:  2.16-r1
sys-devel/libtool:   1.5.18
virtual/os-headers:  2.6.11-r1
ACCEPT_KEYWORDS="amd64 ~amd64"
AUTOCLEAN="yes"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=athlon64 -pipe -O2 -fomit-frame-pointer -frename-registers"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3.4/env
/usr/kde/3.4/share/config /usr/kde/3.4/shutdown /usr/kde/3/share/config
/usr/lib/X11/xkb /usr/lib/mozilla/defaults/pref /usr/share/config
/usr/share/cursors/xorg-x11/default /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/texmf/web2c /etc/env.d"
CXXFLAGS="-march=athlon64 -pipe -O2 -fomit-frame-pointer -frename-registers"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig ccache distlocks sandbox sfperms strict"
GENTOO_MIRRORS="http://distfiles.gentoo.org
http://distro.ibiblio.org/pub/Linux/distributions/gentoo"
LANG="sl_SI"
LINGUAS="en sl"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/root/portageoverlay"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X aalib acpi alsa amd64 apache2 apm arts avi berkdb bitmap-fonts cdr crypt
cups curl dbus dvd dvdr eds encode esd exif fam fbcon flac font-server
foomaticdb fortran ftp gd gdbm gif gnome gphoto2 gpm gstreamer gtk gtk2 hal
imagemagick imlib ipv6 jabber jp2 jpeg kde libwww lzw lzw-tiff mad mikmod motif
mozilla mp3 mpeg mysql ncurses nls nptl nptlonly ogg oggvorbis opengl oss pam
pdflib perl png posix ppds python qt quicktime readline samba scanner sdl slang
speex spell ssl tcltk tcpd tetex theora tiff truetype truetype-fonts type1-fonts
unicode usb userlocales videos vorbis xine xml xml2 xmms xosd xpm xprint xrandr
xv xvid zlib linguas_en linguas_sl userland_GNU kernel_linux elibc_glibc"
Unset:  ASFLAGS, CTARGET, LC_ALL, LDFLAGS
Comment 17 Kamil Gornik 2005-06-06 05:29:35 UTC
This affects:
 - gnome-media
 - file-roller
 - evolution
on my box.
Need URGENT fix to have my box work after reboot.
Comment 18 foser (RETIRED) gentoo-dev 2005-06-06 05:48:39 UTC
@ comment 12 : thats a rather silly solution. I don't know in what context it is
used, but sandbox should not influence your install path.

@ comment 15 : that is a crazy workaround, do not suggest that here or anywhere
on  bugzilla. If you want to mess up your sys, fine, but sandbox is there for a
reason and should not be disabled because a couple of upgrades happen to fail.

@ comment 16 : we don't need 'me too's', #95126 already covers your particular
problem.
Comment 19 foser (RETIRED) gentoo-dev 2005-06-06 05:51:56 UTC
@ comment 17 : your box will work with or without these upgrades, no need to panic.

In general, stop posting 'me too's' here. I'll fix packages as I get around to
them. Don't report packages that are already reported here (or in the duplicate
bugs), just packages that haven't been mentioned. Versions don't matter.
Comment 20 Stuart Shelton 2005-06-06 05:54:09 UTC
I'm afriad that this is still broken, even with the modified eclass:

gcalctool build aborts with:

>>> Completed installing gcalctool-5.5.41 into
/var/tmp/portage/gcalctool-5.5.41/image/

--------------------------- ACCESS VIOLATION SUMMARY ---------------------------
LOG FILE = "/tmp/sandbox-gnome-extra_-_gcalctool-5.5.41-8185.log"

open_wr:   /etc/gconf/gconf.xml.defaults/.testing.writeability
unlink:    /etc/gconf/gconf.xml.defaults/.testing.writeability
--------------------------------------------------------------------------------

... whereas perviously it hit the scrollkeeper problem.

The gnome2 eclass seems to be completely fubar ;)
Comment 21 foser (RETIRED) gentoo-dev 2005-06-06 05:59:12 UTC
that is a seperate problem, file it as seperate.
Comment 22 Josef Kovacs 2005-06-06 06:05:09 UTC
Hello,

i was simply trying to update  gpdf and i got a sanbox-error-message. A look at
the display after a "emerge info" command showed me that i had no sandbox at my
installed. So i put the line

=sys-apps/sanbox-1.2.8 ~x86

in my "/etc/portage/package.keywords"  and merged sandbox but i still got the
same error message. Here ist the display, i hope it helps to solve the problem:
make[1]: Leaving directory `/var/tmp/portage/gpdf-2.10.0/work/gpdf-2.10.0/po'
Making install in help
make[1]: Entering directory `/var/tmp/portage/gpdf-2.10.0/work/gpdf-2.10.0/help'
Making install in C
make[2]: Entering directory `/var/tmp/portage/gpdf-2.10.0/work/gpdf-2.10.0/help/C'
make[3]: Entering directory `/var/tmp/portage/gpdf-2.10.0/work/gpdf-2.10.0/help/C'
make[3]: F
Comment 23 Josef Kovacs 2005-06-06 06:05:09 UTC
Hello,

i was simply trying to update  gpdf and i got a sanbox-error-message. A look at
the display after a "emerge info" command showed me that i had no sandbox at my
installed. So i put the line

=sys-apps/sanbox-1.2.8 ~x86

in my "/etc/portage/package.keywords"  and merged sandbox but i still got the
same error message. Here ist the display, i hope it helps to solve the problem:
make[1]: Leaving directory `/var/tmp/portage/gpdf-2.10.0/work/gpdf-2.10.0/po'
Making install in help
make[1]: Entering directory `/var/tmp/portage/gpdf-2.10.0/work/gpdf-2.10.0/help'
Making install in C
make[2]: Entering directory `/var/tmp/portage/gpdf-2.10.0/work/gpdf-2.10.0/help/C'
make[3]: Entering directory `/var/tmp/portage/gpdf-2.10.0/work/gpdf-2.10.0/help/C'
make[3]: Für das Ziel »install-exec-am« ist nichts zu tun.
/bin/sh ../../mkinstalldirs
/var/tmp/portage/gpdf-2.10.0/image//usr/share/gnome/help/gpdf/C
mkdir -p -- /var/tmp/portage/gpdf-2.10.0/image//usr/share/gnome/help/gpdf/C
for file in legal.xml gpdf.xml; do \
  cp ./$file /var/tmp/portage/gpdf-2.10.0/image//usr/share/gnome/help/gpdf/C; \
done
if test "figures"; then \
  /bin/sh ../../mkinstalldirs
/var/tmp/portage/gpdf-2.10.0/image//usr/share/gnome/help/gpdf/C/figures; \
  for file in ./figures/*.png; do \
    basefile=`echo $file | sed -e  's,^.*/,,'`; \
    /bin/install -c -m 644 $file
/var/tmp/portage/gpdf-2.10.0/image//usr/share/gnome/help/gpdf/C/figures/$basefile; \
  done \
fi
mkdir -p -- /var/tmp/portage/gpdf-2.10.0/image//usr/share/gnome/help/gpdf/C/figures
make  install-data-hook
make[4]: Entering directory `/var/tmp/portage/gpdf-2.10.0/work/gpdf-2.10.0/help/C'
/bin/sh ../../mkinstalldirs /var/tmp/portage/gpdf-2.10.0/image//usr/share/omf/gpdf
mkdir -p -- /var/tmp/portage/gpdf-2.10.0/image//usr/share/omf/gpdf
for file in gpdf-C.omf; do \
        /bin/install -c -m 644 $file.out
/var/tmp/portage/gpdf-2.10.0/image//usr/share/omf/gpdf/$file; \
done
scrollkeeper-update -p /var/lib/scrollkeeper -o
/var/tmp/portage/gpdf-2.10.0/image//usr/share/omf/gpdf
ACCESS DENIED  open_wr:   /var/lib/scrollkeeper/scrollkeeper_docs
ACCESS DENIED  open_wr:   /var/lib/scrollkeeper/scrollkeeper_docs
/var/lib/scrollkeeper/scrollkeeper_docs: Keine Berechtigung
make[4]: [install-data-hook-omf] Fehler 1 (ignoriert)
make[4]: Leaving directory `/var/tmp/portage/gpdf-2.10.0/work/gpdf-2.10.0/help/C'
make[3]: Leaving directory `/var/tmp/portage/gpdf-2.10.0/work/gpdf-2.10.0/help/C'
make[2]: Leaving directory `/var/tmp/portage/gpdf-2.10.0/work/gpdf-2.10.0/help/C'
Making install in de
make[2]: Entering directory `/var/tmp/portage/gpdf-2.10.0/work/gpdf-2.10.0/help/de'
make[3]: Entering directory `/var/tmp/portage/gpdf-2.10.0/work/gpdf-2.10.0/help/de'
make[3]: Für das Ziel »install-exec-am« ist nichts zu tun.
/bin/sh ../../mkinstalldirs
/var/tmp/portage/gpdf-2.10.0/image//usr/share/gnome/help/gpdf/de
mkdir -p -- /var/tmp/portage/gpdf-2.10.0/image//usr/share/gnome/help/gpdf/de
for file in legal.xml gpdf.xml; do \
  cp ./$file /var/tmp/portage/gpdf-2.10.0/image//usr/share/gnome/help/gpdf/de; \
done
if test "figures"; then \
  /bin/sh ../../mkinstalldirs
/var/tmp/portage/gpdf-2.10.0/image//usr/share/gnome/help/gpdf/de/figures; \
  for file in ./figures/*.png; do \
    basefile=`echo $file | sed -e  's,^.*/,,'`; \
    /bin/install -c -m 644 $file
/var/tmp/portage/gpdf-2.10.0/image//usr/share/gnome/help/gpdf/de/figures/$basefile;
\
  done \
fi
mkdir -p -- /var/tmp/portage/gpdf-2.10.0/image//usr/share/gnome/help/gpdf/de/figures
make  install-data-hook
make[4]: Entering directory `/var/tmp/portage/gpdf-2.10.0/work/gpdf-2.10.0/help/de'
/bin/sh ../../mkinstalldirs /var/tmp/portage/gpdf-2.10.0/image//usr/share/omf/gpdf
for file in gpdf-de.omf; do \
        /bin/install -c -m 644 $file.out
/var/tmp/portage/gpdf-2.10.0/image//usr/share/omf/gpdf/$file; \
done
scrollkeeper-update -p /var/lib/scrollkeeper -o
/var/tmp/portage/gpdf-2.10.0/image//usr/share/omf/gpdf
ACCESS DENIED  open_wr:   /var/lib/scrollkeeper/scrollkeeper_docs
ACCESS DENIED  open_wr:   /var/lib/scrollkeeper/scrollkeeper_docs
/var/lib/scrollkeeper/scrollkeeper_docs: Keine Berechtigung
make[4]: [install-data-hook-omf] Fehler 1 (ignoriert)
make[4]: Leaving directory `/var/tmp/portage/gpdf-2.10.0/work/gpdf-2.10.0/help/de'
make[3]: Leaving directory `/var/tmp/portage/gpdf-2.10.0/work/gpdf-2.10.0/help/de'
make[2]: Leaving directory `/var/tmp/portage/gpdf-2.10.0/work/gpdf-2.10.0/help/de'
Making install in es
make[2]: Entering directory `/var/tmp/portage/gpdf-2.10.0/work/gpdf-2.10.0/help/es'
make[3]: Entering directory `/var/tmp/portage/gpdf-2.10.0/work/gpdf-2.10.0/help/es'
make[3]: Für das Ziel »install-exec-am« ist nichts zu tun.
/bin/sh ../../mkinstalldirs
/var/tmp/portage/gpdf-2.10.0/image//usr/share/gnome/help/gpdf/es
mkdir -p -- /var/tmp/portage/gpdf-2.10.0/image//usr/share/gnome/help/gpdf/es
for file in legal.xml gpdf.xml; do \
  cp ./$file /var/tmp/portage/gpdf-2.10.0/image//usr/share/gnome/help/gpdf/es; \
done
if test "figures"; then \
  /bin/sh ../../mkinstalldirs
/var/tmp/portage/gpdf-2.10.0/image//usr/share/gnome/help/gpdf/es/figures; \
  for file in ./figures/*.png; do \
    basefile=`echo $file | sed -e  's,^.*/,,'`; \
    /bin/install -c -m 644 $file
/var/tmp/portage/gpdf-2.10.0/image//usr/share/gnome/help/gpdf/es/figures/$basefile;
\
  done \
fi
mkdir -p -- /var/tmp/portage/gpdf-2.10.0/image//usr/share/gnome/help/gpdf/es/figures
make  install-data-hook
make[4]: Entering directory `/var/tmp/portage/gpdf-2.10.0/work/gpdf-2.10.0/help/es'
/bin/sh ../../mkinstalldirs /var/tmp/portage/gpdf-2.10.0/image//usr/share/omf/gpdf
for file in gpdf-es.omf; do \
        /bin/install -c -m 644 $file.out
/var/tmp/portage/gpdf-2.10.0/image//usr/share/omf/gpdf/$file; \
done
scrollkeeper-update -p /var/lib/scrollkeeper -o
/var/tmp/portage/gpdf-2.10.0/image//usr/share/omf/gpdf
ACCESS DENIED  open_wr:   /var/lib/scrollkeeper/scrollkeeper_docs
ACCESS DENIED  open_wr:   /var/lib/scrollkeeper/scrollkeeper_docs
/var/lib/scrollkeeper/scrollkeeper_docs: Keine Berechtigung
make[4]: [install-data-hook-omf] Fehler 1 (ignoriert)
make[4]: Leaving directory `/var/tmp/portage/gpdf-2.10.0/work/gpdf-2.10.0/help/es'
make[3]: Leaving directory `/var/tmp/portage/gpdf-2.10.0/work/gpdf-2.10.0/help/es'
make[2]: Leaving directory `/var/tmp/portage/gpdf-2.10.0/work/gpdf-2.10.0/help/es'
make[2]: Entering directory `/var/tmp/portage/gpdf-2.10.0/work/gpdf-2.10.0/help'
make[3]: Entering directory `/var/tmp/portage/gpdf-2.10.0/work/gpdf-2.10.0/help'
make[3]: Für das Ziel »install-exec-am« ist nichts zu tun.
make[3]: Für das Ziel »install-data-am« ist nichts zu tun.
make[3]: Leaving directory `/var/tmp/portage/gpdf-2.10.0/work/gpdf-2.10.0/help'
make[2]: Leaving directory `/var/tmp/portage/gpdf-2.10.0/work/gpdf-2.10.0/help'
make[1]: Leaving directory `/var/tmp/portage/gpdf-2.10.0/work/gpdf-2.10.0/help'
make[1]: Entering directory `/var/tmp/portage/gpdf-2.10.0/work/gpdf-2.10.0'
make[2]: Entering directory `/var/tmp/portage/gpdf-2.10.0/work/gpdf-2.10.0'
make[2]: Für das Ziel »install-exec-am« ist nichts zu tun.
/bin/sh ./mkinstalldirs /var/tmp/portage/gpdf-2.10.0/image//usr/share/applications
mkdir -p -- /var/tmp/portage/gpdf-2.10.0/image//usr/share/applications
 /bin/install -c -m 644 gpdf.desktop
/var/tmp/portage/gpdf-2.10.0/image//usr/share/applications/gpdf.desktop
/bin/sh ./mkinstalldirs /var/tmp/portage/gpdf-2.10.0/image//usr/share/mime-info
mkdir -p -- /var/tmp/portage/gpdf-2.10.0/image//usr/share/mime-info
 /bin/install -c -m 644 gpdf.keys
/var/tmp/portage/gpdf-2.10.0/image//usr/share/mime-info/gpdf.keys
/bin/sh ./mkinstalldirs
/var/tmp/portage/gpdf-2.10.0/image//usr/share/application-registry
mkdir -p -- /var/tmp/portage/gpdf-2.10.0/image//usr/share/application-registry
 /bin/install -c -m 644 gpdf.applications
/var/tmp/portage/gpdf-2.10.0/image//usr/share/application-registry/gpdf.applications
/bin/sh ./mkinstalldirs /var/tmp/portage/gpdf-2.10.0/image//usr/share/pixmaps
 /bin/install -c -m 644 gnome-pdf.png
/var/tmp/portage/gpdf-2.10.0/image//usr/share/pixmaps/gnome-pdf.png
for p in gpdf.schemas ; do \
        GCONF_CONFIG_SOURCE=xml::/etc/gconf/gconf.xml.defaults
/usr/bin/gconftool-2 --makefile-install-rule ./$p; \
done
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL ist gesetzt. Daher werden Schemata nicht
intalliert
/bin/sh ./mkinstalldirs /var/tmp/portage/gpdf-2.10.0/image//etc/gconf/schemas
mkdir -p -- /var/tmp/portage/gpdf-2.10.0/image//etc/gconf/schemas
 /bin/install -c -m 644 gpdf.schemas
/var/tmp/portage/gpdf-2.10.0/image//etc/gconf/schemas/gpdf.schemas
make[2]: Leaving directory `/var/tmp/portage/gpdf-2.10.0/work/gpdf-2.10.0'
make[1]: Leaving directory `/var/tmp/portage/gpdf-2.10.0/work/gpdf-2.10.0'
man:
prepallstrip:
strip: i686-pc-linux-gnu-strip --strip-unneeded
strip: i686-pc-linux-gnu-strip --strip-unneeded
   usr/bin/gpdf
   usr/libexec/gnome-pdf-viewer
>>> Completed installing gpdf-2.10.0 into /var/tmp/portage/gpdf-2.10.0/image/

--------------------------- ACCESS VIOLATION SUMMARY ---------------------------
LOG FILE = "/tmp/sandbox-app-text_-_gpdf-2.10.0-31949.log"

open_wr:   /var/lib/scrollkeeper/scrollkeeper_docs
open_wr:   /var/lib/scrollkeeper/scrollkeeper_docs
open_wr:   /var/lib/scrollkeeper/scrollkeeper_docs
open_wr:   /var/lib/scrollkeeper/scrollkeeper_docs
open_wr:   /var/lib/scrollkeeper/scrollkeeper_docs
open_wr:   /var/lib/scrollkeeper/scrollkeeper_docs
--------------------------------------------------------------------------------


And here is also my "emerge info":
Portage 2.0.51.19 (default-linux/x86/2005.0, gcc-3.3.5-20050130,
glibc-2.3.4.20041102-r1, 2.6.11-gentoo-r9 i686)
=================================================================
System uname: 2.6.11-gentoo-r9 i686 Pentium II (Deschutes)
Gentoo Base System version 1.4.16
Python:              dev-lang/python-2.3.5 [2.3.5 (#1, Apr 27 2005, 23:51:00)]
ccache version 2.3 [enabled]
dev-lang/python:     2.3.5
sys-apps/sandbox:    1.2.8
sys-devel/autoconf:  2.59-r6, 2.13
sys-devel/automake:  1.7.9-r1, 1.8.5-r3, 1.5, 1.4_p6, 1.6.3, 1.9.5
sys-devel/binutils:  2.15.92.0.2-r10
sys-devel/libtool:   1.5.16
virtual/os-headers:  2.6.8.1-r2
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CFLAGS="-march=pentium2 -O3"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3.3/env
/usr/kde/3.3/share/config /usr/kde/3.3/shutdown /usr/kde/3/share/config
/usr/lib/MozillaFirefox/searchplugins /usr/lib/X11/xkb /usr/share/config
/usr/share/texmf/dvipdfm/config/ /usr/share/texmf/dvips/config/
/usr/share/texmf/tex/generic/config/ /usr/share/texmf/tex/platex/config/
/usr/share/texmf/xdvi/ /var/bind /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-march=pentium2 -O3"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoaddcvs autoconfig candy ccache distlocks sandbox sfperms strict"
GENTOO_MIRRORS="http://gentoo.eliteitminds.com
ftp://gentoo.blueyonder.co.uk/mirrors/gentoo http://mir.zyrianes.net/gentoo/
http://gentoo.blueyonder.co.uk http://ftp.linux.ee/pub/gentoo/distfiles/"
LANG="de_DE@euro"
LINGUAS="de"
MAKEOPTS="-j1"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="x86 X adns alsa apache2 apm arts audiofile avi bash-completion berkdb bidi
bitmap-fonts bonobo cdparanoia cdr cjk crypt cups curl directfb divx4linux doc
dvd dvdr dvdread emboss encode esd fam fbcon flac foomaticdb fortran gd gdbm ggi
gif gimpprint gs gstreamer gtk gtk2 gtkhtml guile imagemagick imap imlib jack
java jbig jpeg jpeg2k junit kde kerberos lcms ldap lesstif libg++ libwww lzo mad
maildir md5sum mikmod mmx mng motif mozilla mp3 mpeg mpi mplayer nas ncurses
network nls nocd nptl ogg oggvorbis opengl pam pdflib peex perl plotutils png
ppds python qt quicktime readline samba sasl sdl slang sndfile snmp spell sse
ssl svg svga tcltk tcpd tetex tga theora tiff truetype truetype-fonts
type1-fonts unicode usb vim-with-x vorbis wmf wxwindows xine xml xml2 xmms xosd
xprint xv xvid zlib linguas_de userland_GNU kernel_linux elibc_glibc"
Unset:  ASFLAGS, CBUILD, CTARGET, LC_ALL, LDFLAGS, PORTDIR_OVERLAY
Comment 24 Jakub Moc (RETIRED) gentoo-dev 2005-06-06 06:18:37 UTC
(In reply to comment #22)
> Hello,
> 
> i was simply trying to update  gpdf and i got a sanbox-error-message. 

Urgh! You are the third one to report this (Bug 95182), congratulations! 
Comment 25 Stuart Shelton 2005-06-06 06:47:11 UTC
Okay, just to confirm that with the stock gnome2.eclass file in place, gcalctool
(all versions) breaks with scrollkeeper sandbox violations.
Comment 26 Jakub Moc (RETIRED) gentoo-dev 2005-06-06 08:09:11 UTC
*** Bug 95227 has been marked as a duplicate of this bug. ***
Comment 27 Jakub Moc (RETIRED) gentoo-dev 2005-06-06 08:21:11 UTC
*** Bug 95228 has been marked as a duplicate of this bug. ***
Comment 28 Jakub Moc (RETIRED) gentoo-dev 2005-06-06 10:11:59 UTC
*** Bug 95241 has been marked as a duplicate of this bug. ***
Comment 29 Tobias Sager 2005-06-06 10:13:49 UTC
Please fix summary. This issue is not only a gedit problem.
Comment 30 Jakub Moc (RETIRED) gentoo-dev 2005-06-06 10:28:47 UTC
(In reply to comment #28)
> Please fix summary. This issue is not only a gedit problem.

Good point.
Comment 31 Andrew Esh 2005-06-06 11:31:16 UTC
I tried to re-emerge the version of gpdf I already have. It fails with the
common error we are seeing. This means the problem is not in an ebuild. I also
have gcaltool failing.

I am using the folling version of gnome2.eclass:

# $Header: /var/cvsroot/gentoo-x86/eclass/gnome2.eclass,v 1.48 2005/06/05
16:33:18 foser Exp $

Obviously it was just updated yesterday. I think the last delta needs to be
backed out until it can be fixed. Unfortunately, viewing CVS via the web isn't
working right now, so I can't say more about what *part* of yesterday's change
may be the specific problem.

I wonder if we need to use the mask system on eclass files, so they can be ~x86
for a while before the general public gets exposed to them.
Comment 32 omes 2005-06-06 12:10:38 UTC
There are new ebuilds out.

emerge --sync; emerge -uD world;

This should make it work.


New resolution: FIXED.
Comment 33 Stefan Huszics 2005-06-06 13:12:06 UTC
>There are new ebuilds out.
>emerge --sync; emerge -uD world;

Is there a revbump on the fixed ebuilds?
I just did a sync & world -vuD and none of the packages that failed for me [1]
showed up. I did put them in /etc/portage/profile/package.provided to enable
emerge world -uD to finish thinking that once the ebuilds are fixed a new world
-uD would automatically fix things. Was that a wrong conclusion on my part?

[1]
mail-client/evolution-2.2.1.1
app-arch/file-roller-2.10.0-r1
gnome-extra/gnome-media-2.10.0
gnome-extra/gcalctool-5.5.41
app-text/gpdf-2.10.0
Comment 34 omes 2005-06-06 16:03:20 UTC
[ebuild   R   ] gnome-extra/gnome-media-2.10.2   
[ebuild   R   ] mail-client/evolution-2.2.1.1   
[ebuild   R   ] app-arch/file-roller-2.10.3   
[ebuild   R   ] gnome-extra/gcalctool-5.5.42   
[ebuild   R   ] app-text/gpdf-2.10.0   
   
All of them are installed at my system.   
  
I didn't quite catch you after you said: "I just did a sync & world -vuD and  
none of the packages that failed for me [1]  showed up.". What do you mean? 
Comment 35 Stefan Huszics 2005-06-06 16:53:03 UTC
What I meant was that I had expected the broken ebuilds to get a revbump when
they where fixed, thus showing up after a sync && world -uD even though I put
the original broken ebuilds into package.provided (to allow the original update
world to progress).

eg I had expected an
app-arch/file-roller-2.10.0-r2
existing and appearing when doing emerge world -uD even when I had 
app-arch/file-roller-2.10.0-r1
in /etc/portage/profile/package.provided

In any case, I've now removed the package.proivied entries and successfully
installed the new ebuilds (that apparently didnt get a revbump).
Though Im a bit puzzled on exactly what constitutes a good reason for an ebuild
to get a revbump, since totally borked ebuilds that doesnt even compile doesnt
get revbumps when fixed. Can someone point me to some document that explains
this apparent lack of logic? TIA / Stefan
Comment 36 Robert T Childers 2005-06-06 20:29:57 UTC
Would someone be so kind as to explain just what the eclass's are. I am thinking
that they are some sort of meta data being used by the ebuild system, but that
is just a guess. And based on what I have read of the comments in this thread it
looks like that it was something in the eclass file that was messing up a lot of
ebuilds rather than the ebuilds themselves. At least thats the only thing that
makes any sense to me, as to why the problem with the ebuilds has been fixed
without creating a revision bump.
Comment 37 John Nilsson 2005-06-06 22:51:29 UTC
Eclasses are described in the Gentoo Developer Handbook
http://www.gentoo.org/proj/en/devrel/handbook/handbook.xml?part=2&chap=2
Comment 38 Jakub Moc (RETIRED) gentoo-dev 2005-06-06 23:27:09 UTC
(In reply to comment #34)
> Though Im a bit puzzled on exactly what constitutes a good reason for an ebuild
> to get a revbump

http://www.gentoo.org/proj/en/devrel/handbook/handbook.xml?part=3&chap=1#doc_chap3
Comment 39 Jakub Moc (RETIRED) gentoo-dev 2005-06-06 23:37:23 UTC
*** Bug 95301 has been marked as a duplicate of this bug. ***
Comment 40 Jakub Moc (RETIRED) gentoo-dev 2005-06-06 23:41:38 UTC
*** Bug 95171 has been marked as a duplicate of this bug. ***
Comment 41 Jakub Moc (RETIRED) gentoo-dev 2005-06-07 02:31:07 UTC
What
Comment 42 Jakub Moc (RETIRED) gentoo-dev 2005-06-07 02:31:07 UTC
What´s the real status here? Bugs are still flowing - is this still broken or
just people failed to emerge sync?
Comment 43 Tobias Sager 2005-06-07 02:35:49 UTC
gcalctool works for me now.
Comment 44 foser (RETIRED) gentoo-dev 2005-06-07 02:41:25 UTC
all the reported issues have been dealt with yesterday.
Comment 45 Alexander Wessel 2005-06-07 05:54:44 UTC
ad Comment #40. 
 
Hi Jakub, 
 
well not everybody is able to emerge sync, and for emerge-webrsync you'd have 
to add one or two days (depending on the time of day the fix is committed 
and/or the user's timezone) until fixes show up. 
 
Cheers, 
Flexx 
Comment 46 Roel Brook 2005-06-07 15:28:53 UTC
I can confirm the fix, at least for x86. Don't know about amd64 (original reporter)
Comment 47 John Eppling 2005-06-08 20:22:49 UTC
Hi,

I don't mean to make this yet another "Me too", but I haven't seen anyone
mention this problem showing up when emerging gnome-applets.  I did a sync this
afternoon, and I just checked the online CVS versions for gnome2.eclass and the
ebuild for gnome-applets, and it looks like I have the latest, but I'm still
getting the access violations.  This is a new install on a brand new system, so
there shouldn't be any conflict with any old stuff left over from previous emerges.

I tried emerging most of the apps mentioned in the other comments, and I didn't
have any trouble with any of them.
Comment 48 Jan 2005-06-08 23:25:39 UTC
I did an emerge --sync on my amd64 system and this error that previously
occurred with gpdf appears to have been fixed. It works so far.
Comment 49 foser (RETIRED) gentoo-dev 2005-06-09 05:15:38 UTC
@ comment #45 : please provide the exact output, sandbox problems are not all
the same and I can't be certain like this it is really the same issue.
Comment 50 John Eppling 2005-06-09 06:47:22 UTC
Foser,

Sorry about that....  I'll get the exact output to you later today....
I managed to hose my system trying different things (obviously the wrong
things), so I'm in the process of doing a clean install.  The messages that I
saw flying by just before emerge quit was:

ACCESS DENIED  open_wr:   /var/lib/scrollkeeper/scrollkeeper_docs.

I'll try to capture the context of what was happening when I got these messages
and I'll post here.

John
Comment 51 John Eppling 2005-06-09 13:15:44 UTC
Foser,

I'm still getting the same error messages for gnome-applets.  I have the whole
emerge output in a file, so if you need more output, I can get you the whole
thing, but it is pretty big.

Here is a snipet of the emerge output when I start getting the first of many
error messages:

make[1]: Leaving directory
`/var/tmp/portage/gnome-applets-2.8.2/work/gnome-applets-2.8.2/po'
Making install in drivemount
make[1]: Entering directory
`/var/tmp/portage/gnome-applets-2.8.2/work/gnome-applets-2.8.2/drivemount'
Making install in help
make[2]: Entering directory
`/var/tmp/portage/gnome-applets-2.8.2/work/gnome-applets-2.8.2/drivemount/help'
Making install in C
make[3]: Entering directory
`/var/tmp/portage/gnome-applets-2.8.2/work/gnome-applets-2.8.2/drivemount/help/C'
make[4]: Entering directory
`/var/tmp/portage/gnome-applets-2.8.2/work/gnome-applets-2.8.2/drivemount/help/C'
make[4]: Nothing to be done for `install-exec-am'.
/bin/sh ../../../mkinstalldirs
/var/tmp/portage/gnome-applets-2.8.2/image//usr/share/gnome/help/drivemount/C
mkdir -p --
/var/tmp/portage/gnome-applets-2.8.2/image//usr/share/gnome/help/drivemount/C
for file in legal.xml drivemount.xml; do \
  cp ./$file
/var/tmp/portage/gnome-applets-2.8.2/image//usr/share/gnome/help/drivemount/C; \
done
if test "figures"; then \
  /bin/sh ../../../mkinstalldirs
/var/tmp/portage/gnome-applets-2.8.2/image//usr/share/gnome/help/drivemount/C/figures;
\
  for file in ./figures/*.png; do \
    basefile=`echo $file | sed -e  's,^.*/,,'`; \
    /bin/install -c -m 644 $file
/var/tmp/portage/gnome-applets-2.8.2/image//usr/share/gnome/help/drivemount/C/figures/$basefile;
\
  done \
fi
mkdir -p --
/var/tmp/portage/gnome-applets-2.8.2/image//usr/share/gnome/help/drivemount/C/figures
make  install-data-hook
make[5]: Entering directory
`/var/tmp/portage/gnome-applets-2.8.2/work/gnome-applets-2.8.2/drivemount/help/C'
/bin/sh ../../../mkinstalldirs
/var/tmp/portage/gnome-applets-2.8.2/image//usr/share/omf/gnome-applets
mkdir -p -- /var/tmp/portage/gnome-applets-2.8.2/image//usr/share/omf/gnome-applets
for file in drivemount-C.omf; do \
        /bin/install -c -m 644 $file.out
/var/tmp/portage/gnome-applets-2.8.2/image//usr/share/omf/gnome-applets/$file; \
done
scrollkeeper-update -p /var/lib/scrollkeeper -o
/var/tmp/portage/gnome-applets-2.8.2/image//usr/share/omf/gnome-applets
ACCESS DENIED  open_wr:   /var/lib/scrollkeeper/scrollkeeper_docs
ACCESS DENIED  open_wr:   /var/lib/scrollkeeper/scrollkeeper_docs
/var/lib/scrollkeeper/scrollkeeper_docs: Permission denied
make[5]: [install-data-hook-omf] Error 1 (ignored)
make[5]: Leaving directory
`/var/tmp/portage/gnome-applets-2.8.2/work/gnome-applets-2.8.2/drivemount/help/C'
make[4]: Leaving directory
`/var/tmp/portage/gnome-applets-2.8.2/work/gnome-applets-2.8.2/drivemount/help/C'
make[3]: Leaving directory
`/var/tmp/portage/gnome-applets-2.8.2/work/gnome-applets-2.8.2/drivemount/help/C'
Making install in de
make[3]: Entering directory
`/var/tmp/portage/gnome-applets-2.8.2/work/gnome-applets-2.8.2/drivemount/help/de'
make[4]: Entering directory
`/var/tmp/portage/gnome-applets-2.8.2/work/gnome-applets-2.8.2/drivemount/help/de'
make[4]: Nothing to be done for `install-exec-am'.
/bin/sh ../../../mkinstalldirs
/var/tmp/portage/gnome-applets-2.8.2/image//usr/share/gnome/help/drivemount/de
mkdir -p --
/var/tmp/portage/gnome-applets-2.8.2/image//usr/share/gnome/help/drivemount/de
for file in legal.xml drivemount.xml; do \
  cp ./$file
/var/tmp/portage/gnome-applets-2.8.2/image//usr/share/gnome/help/drivemount/de; \
done
if test "figures"; then \
  /bin/sh ../../../mkinstalldirs
/var/tmp/portage/gnome-applets-2.8.2/image//usr/share/gnome/help/drivemount/de/figures;
\
  for file in ./figures/*.png; do \
    basefile=`echo $file | sed -e  's,^.*/,,'`; \
    /bin/install -c -m 644 $file
/var/tmp/portage/gnome-applets-2.8.2/image//usr/share/gnome/help/drivemount/de/figures/$basefile;
\
  done \
fi
mkdir -p --
/var/tmp/portage/gnome-applets-2.8.2/image//usr/share/gnome/help/drivemount/de/figures
make  install-data-hook
make[5]: Entering directory
`/var/tmp/portage/gnome-applets-2.8.2/work/gnome-applets-2.8.2/drivemount/help/de'
/bin/sh ../../../mkinstalldirs
/var/tmp/portage/gnome-applets-2.8.2/image//usr/share/omf/gnome-applets
for file in drivemount-de.omf; do \
        /bin/install -c -m 644 $file.out
/var/tmp/portage/gnome-applets-2.8.2/image//usr/share/omf/gnome-applets/$file; \
done
scrollkeeper-update -p /var/lib/scrollkeeper -o
/var/tmp/portage/gnome-applets-2.8.2/image//usr/share/omf/gnome-applets
ACCESS DENIED  open_wr:   /var/lib/scrollkeeper/scrollkeeper_docs
ACCESS DENIED  open_wr:   /var/lib/scrollkeeper/scrollkeeper_docs
/var/lib/scrollkeeper/scrollkeeper_docs: Permission denied
:
Comment 52 John Eppling 2005-06-09 15:36:47 UTC
Foser,

I neglected to include my "emerge info" on my last post.

Portage 2.0.51.19 (default-linux/amd64/2005.0, gcc-3.4.3,
glibc-2.3.4.20041102-r1, 2.6.11-gentoo-r7 x86_64)
=================================================================
System uname: 2.6.11-gentoo-r7 x86_64 AMD Athlon(tm) 64 Processor 3500+
Gentoo Base System version 1.6.12
Python:              dev-lang/python-2.3.5 [2.3.5 (#1, Jun  9 2005, 10:29:48)]
dev-lang/python:     2.3.5
sys-apps/sandbox:    [Not Present]
sys-devel/autoconf:  2.59-r6, 2.13
sys-devel/automake:  1.7.9-r1, 1.8.5-r3, 1.5, 1.4_p6, 1.6.3, 1.9.5
sys-devel/binutils:  2.15.92.0.2-r10
sys-devel/libtool:   1.5.16
virtual/os-headers:  2.6.8.1-r4
ACCEPT_KEYWORDS="amd64"
AUTOCLEAN="yes"
CFLAGS="-O2 -march=athlon64 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3/share/config
/usr/lib/X11/xkb /usr/share/config /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-O2 -march=athlon64 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoaddcvs autoconfig ccache distlocks sandbox sfperms strict"
GENTOO_MIRRORS="http://distfiles.gentoo.org
http://distro.ibiblio.org/pub/Linux/distributions/gentoo"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="amd64 X acpi berkdb bitmap-fonts crypt eds esd fam font-server fortran gdbm
gif gpm gstreamer gtk imlib ipv6 jp2 jpeg lzw lzw-tiff motif mp3 ncurses nls
opengl oss pam perl png python readline ssl tcpd tiff truetype truetype-fonts
type1-fonts usb userlocales xml2 xpm xrandr xv zlib userland_GNU kernel_linux
elibc_glibc"
Unset:  ASFLAGS, CBUILD, CTARGET, LANG, LC_ALL, LDFLAGS, LINGUAS, PORTDIR_OVERLAY
Comment 53 Jakub Moc (RETIRED) gentoo-dev 2005-06-10 04:30:10 UTC
*** Bug 95668 has been marked as a duplicate of this bug. ***
Comment 54 Jakub Moc (RETIRED) gentoo-dev 2005-06-10 06:35:36 UTC
*** Bug 95681 has been marked as a duplicate of this bug. ***
Comment 55 Fabian Zeindl 2005-06-10 07:19:51 UTC
I have a similar problem while emerging "Evince" (not in portage): #78956

[...]
mkdir -p -- /var/tmp/portage/evince-0.3.1/image//usr/share/omf/evince
for file in evince-C.omf; do \
        /bin/install -c -m 644 $file.out
/var/tmp/portage/evince-0.3.1/image//usr/share/omf/evince/$file; \
done
scrollkeeper-update -p /var/lib/scrollkeeper -o
/var/tmp/portage/evince-0.3.1/image//usr/share/omf/evince
ACCESS DENIED  open_wr:   /var/lib/scrollkeeper/scrollkeeper_docs
ACCESS DENIED  open_wr:   /var/lib/scrollkeeper/scrollkeeper_docs
/var/lib/scrollkeeper/scrollkeeper_docs: Permission Denied
make[4]: [install-data-hook-omf] Error 1 (ignored)
make[4]: Leaving directory `/var/tmp/portage/evince-0.3.1/work/evince-0.3.1/help/C'
make[3]: Leaving directory `/var/tmp/portage/evince-0.3.1/work/evince-0.3.1/help/C'
make[2]: Leaving directory `/var/tmp/portage/evince-0.3.1/work/evince-0.3.1/help/C'
make[2]: Entering directory `/var/tmp/portage/evince-0.3.1/work/evince-0.3.1/help'
make[3]: Entering directory `/var/tmp/portage/evince-0.3.1/work/evince-0.3.1/help'
make[3]: F
Comment 56 Fabian Zeindl 2005-06-10 07:19:51 UTC
I have a similar problem while emerging "Evince" (not in portage): #78956

[...]
mkdir -p -- /var/tmp/portage/evince-0.3.1/image//usr/share/omf/evince
for file in evince-C.omf; do \
        /bin/install -c -m 644 $file.out
/var/tmp/portage/evince-0.3.1/image//usr/share/omf/evince/$file; \
done
scrollkeeper-update -p /var/lib/scrollkeeper -o
/var/tmp/portage/evince-0.3.1/image//usr/share/omf/evince
ACCESS DENIED  open_wr:   /var/lib/scrollkeeper/scrollkeeper_docs
ACCESS DENIED  open_wr:   /var/lib/scrollkeeper/scrollkeeper_docs
/var/lib/scrollkeeper/scrollkeeper_docs: Permission Denied
make[4]: [install-data-hook-omf] Error 1 (ignored)
make[4]: Leaving directory `/var/tmp/portage/evince-0.3.1/work/evince-0.3.1/help/C'
make[3]: Leaving directory `/var/tmp/portage/evince-0.3.1/work/evince-0.3.1/help/C'
make[2]: Leaving directory `/var/tmp/portage/evince-0.3.1/work/evince-0.3.1/help/C'
make[2]: Entering directory `/var/tmp/portage/evince-0.3.1/work/evince-0.3.1/help'
make[3]: Entering directory `/var/tmp/portage/evince-0.3.1/work/evince-0.3.1/help'
make[3]: Für das Ziel »install-exec-am« ist nichts zu tun.
make[3]: Für das Ziel »install-data-am« ist nichts zu tun.
make[3]: Leaving directory elp'

[... (more installation & make statements]

>>> Completed installing evince-0.3.1 into /var/tmp/portage/evince-0.3.1/image/

--------------------------- ACCESS VIOLATION SUMMARY ---------------------------
LOG FILE = "/tmp/sandbox-gnome-extra_-_evince-0.3.1-18485.log"

open_wr:   /var/lib/scrollkeeper/scrollkeeper_docs
open_wr:   /var/lib/scrollkeeper/scrollkeeper_docs
--------------------------------------------------------------------------------
 ...done!



fabian
Comment 57 Fabian Zeindl 2005-06-10 07:21:26 UTC
My emerge info:

Portage 2.0.51.19 (default-linux/x86/2005.0, gcc-3.3.5-20050130,
glibc-2.3.4.20041102-r1, 2.6.11-gentoo-r9 i686)
=================================================================
System uname: 2.6.11-gentoo-r9 i686 Intel(R) Celeron(R) CPU 2.50GHz
Gentoo Base System version 1.6.12
Python:              dev-lang/python-2.3.5 [2.3.5 (#1, Jun  4 2005, 16:28:59)]
ccache version 2.3 [enabled]
dev-lang/python:     2.3.5
sys-apps/sandbox:    [Not Present]
sys-devel/autoconf:  2.13, 2.59-r6
sys-devel/automake:  1.9.5, 1.5, 1.4_p6, 1.8.5-r3, 1.6.3, 1.7.9-r1
sys-devel/binutils:  2.15.92.0.2-r10
sys-devel/libtool:   1.5.16
virtual/os-headers:  2.6.8.1-r2
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CFLAGS="-march=pentium4 -Os -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3/share/config
/usr/share/config /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/env.d"
CXXFLAGS="-march=pentium4 -Os -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoaddcvs autoconfig ccache distlocks sandbox sfperms strict"
GENTOO_MIRRORS="http://distfiles.gentoo.org
http://distro.ibiblio.org/pub/Linux/distributions/gentoo"
LDFLAGS="-Wl,-O1"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="x86 X acpi alsa avi bash-completion berkdb bitmap-fonts cdr cjk crypt cups
curl dbus dvd emboss encode fam flac foomaticdb fortran gdbm gif gpm gstreamer
gtk gtk2 hal imlib ipv6 java jpeg junit kdeenablefinal libg++ libwww mad mikmod
mmx mp3 mpeg ncurses nls nptl ogg oggvorbis opengl pam pdflib perl png python qt
quicktime readline samba sdl spell sqlite sse sse2 ssl tcltk tcpd tetex tiff
truetype truetype-fonts type1-fonts unicode vorbis xinerama xml2 xprint xv zlib
userland_GNU kernel_linux elibc_glibc"
Unset:  ASFLAGS, CBUILD, CTARGET, LANG, LC_ALL, LINGUAS
Comment 58 foser (RETIRED) gentoo-dev 2005-06-10 08:06:04 UTC
the issues in the older gnome-applet releases have been fixed.

@ comment #53 : I'm really not interested in fixing things that aren't in the
tree, you can easily check what i did to fix the packs in the tree.
Comment 59 kal 2005-06-10 09:57:06 UTC
--------------------------- ACCESS VIOLATION SUMMARY ---------------------------
LOG FILE = "/tmp/sandbox-gnome-base_-_gnome-applets-2.8.2-18137.log"

open_wr:   /var/lib/scrollkeeper/scrollkeeper_docs
open_wr:   /var/lib/scrollkeeper/scrollkeeper_docs
open_wr:   /var/lib/scrollkeeper/scrollkeeper_docs
open_wr:   /var/lib/scrollkeeper/scrollkeeper_docs
open_wr:   /var/lib/scrollkeeper/scrollkeeper_docs
open_wr:   /var/lib/scrollkeeper/scrollkeeper_docs
open_wr:   /var/lib/scrollkeeper/scrollkeeper_docs
open_wr:   /var/lib/scrollkeeper/scrollkeeper_docs
open_wr:   /var/lib/scrollkeeper/scrollkeeper_docs
...
--------------------------------------------------------------------------------

That what i have when i try to emerge gnome-applets in amd64. This is my emerge
info :

nice ~ # emerge --info
Portage 2.0.51.19 (default-linux/amd64/2005.0, gcc-3.4.3,
glibc-2.3.4.20041102-r1, 2.6.11-gentoo-r10 x86_64)
=================================================================
System uname: 2.6.11-gentoo-r10 x86_64 AMD Athlon(tm) 64 Processor 3000+
Gentoo Base System version 1.6.12
Python:              dev-lang/python-2.3.5 [2.3.5 (#1, Jun  9 2005, 18:29:27)]
ccache version 2.3 [enabled]
dev-lang/python:     2.3.5
sys-apps/sandbox:    [Not Present]
sys-devel/autoconf:  2.13, 2.59-r6
sys-devel/automake:  1.9.5, 1.8.5-r3, 1.5, 1.7.9-r1, 1.6.3, 1.4_p6
sys-devel/binutils:  2.15.92.0.2-r10
sys-devel/libtool:   1.5.16
virtual/os-headers:  2.6.8.1-r4
ACCEPT_KEYWORDS="amd64"
AUTOCLEAN="yes"
CFLAGS="-march=athlon64 -pipe -O2"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3.3/env
/usr/kde/3.3/share/config /usr/kde/3.3/shutdown /usr/kde/3.4/env
/usr/kde/3.4/share/config /usr/kde/3.4/shutdown /usr/kde/3/share/config
/usr/lib/X11/xkb /usr/lib64/mozilla/defaults/pref /usr/share/config
/var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-march=athlon64 -pipe -O2"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoaddcvs autoconfig ccache distlocks sandbox sfperms strict"
GENTOO_MIRRORS="http://ftp.belnet.be/mirror/rsync.gentoo.org/gentoo/"
LANG="fr_FR@euro"
LC_ALL="fr_FR@euro"
LINGUAS="fr fr_FR"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.be.gentoo.org/gentoo-portage"
USE="amd64 X alsa apm avi bidi bitmap-fonts cdr directfb dvb dvd dvdr dvdread
emul-linux emul-linux-x86 encode fb font-server gif gnome gtk gtk2 hal
imagemagick imlib imlib2 irc jabber javascript jpeg libwww lirc logitech-mouse
mad matroska motif mp3 mpeg ncurses nls nvidia ogg oggvorbis opengl openssh
openssl oss pam pdflib png quicktime real samba sdl sndfile spell stroke
truetype truetype-fonts type1-fonts userlocales vorbis xine xmms xscreensaver xv
xvid linguas_fr linguas_fr_FR userland_GNU kernel_linux elibc_glibc"
Unset:  ASFLAGS, CBUILD, CTARGET, LDFLAGS, PORTDIR_OVERLAY



Comment 60 Jose daLuz 2005-06-10 11:44:30 UTC
I have the same issue emerging balsa on x86_64:

--------------------------- ACCESS VIOLATION SUMMARY ---------------------------
LOG FILE = "/tmp/sandbox-mail-client_-_balsa-2.2.6-r3-32581.log"

open_wr:   /var/lib/scrollkeeper/scrollkeeper_docs
open_wr:   /var/lib/scrollkeeper/scrollkeeper_docs
--------------------------------------------------------------------------------

Doing an emerge --sync and emerge -uD made no difference -- the same error
happened before and after.

emerge --info
Portage 2.0.51.22-r1 (default-linux/amd64/2005.0, gcc-3.4.4, glibc-2.3.5-r0,
2.6.12-rc4-nitro1 x86_64)
=================================================================
System uname: 2.6.12-rc4-nitro1 x86_64 AMD Athlon(tm) 64 Processor 3000+
Gentoo Base System version 1.6.12
ccache version 2.4 [enabled]
dev-lang/python:     2.3.5, 2.4.1
sys-apps/sandbox:    1.2.9
sys-devel/autoconf:  2.13, 2.59-r6
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.5
sys-devel/binutils:  2.16-r1
sys-devel/libtool:   1.5.18
virtual/os-headers:  2.6.11-r1
ACCEPT_KEYWORDS="amd64 ~amd64"
AUTOCLEAN="yes"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=athlon64 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3.4/env
/usr/kde/3.4/share/config /usr/kde/3.4/shutdown /usr/kde/3/share/config
/usr/lib/X11/xkb /usr/lib/mozilla/defaults/pref /usr/share/config
/var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/texmf/web2c /etc/env.d"
CXXFLAGS="-march=athlon64 -O2 -pipe -fvisibility-inlines-hidden"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig ccache distlocks sandbox sfperms strict"
GENTOO_MIRRORS="http://gentoo.osuosl.org/"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage /usr/local/bmg-main /usr/local/gentoo.de"
SYNC="rsync://rsync.us.gentoo.org/gentoo-portage"
USE="amd64 X aac aalib acpi alsa bash-completion berkdb bitmap-fonts cdr crypt
cups curl dbus eds esd flac font-server foomaticdb fortran gd gdbm gif gnome gpm
gstreamer gtk hal howl imagemagick imlib ipv6 java jp2 jpeg libwww lzw lzw-tiff
mad maildir mono motif mozilla mp3 ncurses nls nptl ogg oggvorbis opengl oss pam
perl pic png python qt readline ruby sdl speex sqlite ssl tcltk tcpd tetex
theora tiff truetype truetype-fonts type1-fonts usb userlocales vorbis xine xml
xml2 xmms xpm xrandr xv zlib userland_GNU kernel_linux elibc_glibc"
Unset:  ASFLAGS, CTARGET, LANG, LC_ALL, LDFLAGS, LINGUAS, MAKEOPTS
Comment 61 John N. Laliberte (RETIRED) gentoo-dev 2005-06-11 05:24:34 UTC
just committed the fix for balsa, should be fixed in 2.2.6-r4.
Comment 62 Vano Beridze 2005-06-11 08:32:53 UTC
Can anyone fix gnome-utils-2.8.1 ebuild suffering with the problem?
Comment 63 Jakub Moc (RETIRED) gentoo-dev 2005-06-11 14:23:35 UTC
*** Bug 95804 has been marked as a duplicate of this bug. ***
Comment 64 John N. Laliberte (RETIRED) gentoo-dev 2005-06-12 06:50:35 UTC
gnome-utils-2.8.1 fixed
Comment 65 Fabian Zeindl 2005-06-13 09:04:27 UTC
Hm, is it possible that after patching gnome2.eclass I get sandbox violations
with conf.

Can somebody here try this out?
* Patch gnome2.eclass
* emerge totem (video player)
* replace the orig. gnome2.eclass
* emerge totem
...strange
Comment 66 Fabian Zeindl 2005-06-13 10:28:25 UTC
It's better not do delete 

-	export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL="1"
and
-	unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

in gnome2.eclass, cause this will cause sandbox violation errors with GConf.
Comment 67 foser (RETIRED) gentoo-dev 2005-06-13 11:54:08 UTC
@ comment #62 & #63 , those are not relevant this bug and I don't know what
you're talking about anyway. File a new bug and be more verbose about your problem.
Comment 68 Ben Cov 2005-06-28 12:00:14 UTC
The problem is still there with pybliographer:

--------------------------- ACCESS VIOLATION SUMMARY ---------------------------
LOG FILE = "/tmp/sandbox-app-office_-_pybliographer-1.2.4-18408.log"

open_wr:   /var/lib/scrollkeeper/scrollkeeper_docs
open_wr:   /var/lib/scrollkeeper/scrollkeeper_docs
--------------------------------------------------------------------------------
Comment 69 John N. Laliberte (RETIRED) gentoo-dev 2005-06-28 16:44:05 UTC
*** Bug 97346 has been marked as a duplicate of this bug. ***
Comment 70 John N. Laliberte (RETIRED) gentoo-dev 2005-06-28 17:06:48 UTC
pybliographer and drivel are fixed now as well.
Comment 71 Derek Berube 2005-07-07 09:03:02 UTC
I'm encountering what I think is this problem while attempting to emerge
Evolution 2.2.1.1-r1.  I'll attach the output from the emerge, but here is the
error that I'm seeing:

>>> Completed installing evolution-2.2.1.1-r1 into
/var/tmp/portage/evolution-2.2.1.1-r1/image/

--------------------------- ACCESS VIOLATION SUMMARY ---------------------------
LOG FILE = "/tmp/sandbox-mail-client_-_evolution-2.2.1.1-r1-18279.log"

open_wr:   /var/lib/scrollkeeper/scrollkeeper_docs
open_wr:   /var/lib/scrollkeeper/scrollkeeper_docs
--------------------------------------------------------------------------------
 ...done!
Comment 72 Derek Berube 2005-07-07 09:06:19 UTC
Created attachment 62843 [details]
Output of emerge evolution (2.2.1.1-r1)

I captured the full output of the emerge for evolution-2.2.1.1-r1.
Comment 73 Derek Berube 2005-07-07 09:06:53 UTC
Created attachment 62844 [details]
emerge info for my machine
Comment 74 Derek Berube 2005-07-07 11:14:02 UTC
The ebuild I was using, evolution-2.2.1.1-r1 was one that I put together for bug
86524 which dealt with vCalendar items not being rendered properly
(evolution-2.2.1-itip-formatter.patch).  Anyway, I noticed that the portage
ebuild is still 2.2.1.1, so I don't know if you want to ignore my comments.

I actually decided to give the latest development snapshot a chance, so I'll see
how that goes (bug 96738).
Comment 75 Jakub Moc (RETIRED) gentoo-dev 2005-07-17 09:05:18 UTC
*** Bug 99333 has been marked as a duplicate of this bug. ***
Comment 76 Cameron Blackwood 2005-07-24 19:15:56 UTC
I dont know if this is of any use, but Im getting Access violations on lots of
things.... 



Xorg....
========

...
making executable: /usr/lib/libxrxnest.so.6.8
QA Notice: /usr/bin/XFree86 is setXid, dynamically linked and using lazy binding
s.
This combination is generally discouraged. Try: CFLAGS='-Wl,-z,now' emerge xorg-
x11
QA Notice: /usr/bin/Xorg is setXid, dynamically linked and using lazy bindings.
This combination is generally discouraged. Try: CFLAGS='-Wl,-z,now' emerge xorg-
x11
>>> Completed installing xorg-x11-6.8.2-r2 into /portage/build_tmp/portage/xorg-
x11-6.8.2-r2/image/
--------------------------- ACCESS VIOLATION SUMMARY ---------------------------
LOG FILE = "/var/log/sandbox/sandbox-x11-base_-_xorg-x11-6.8.2-r2-27666.log"

symlink:   /portage/build_tmp/portage/xorg-x11-6.8.2-r2/image/usr/X11R6/lib/X11/
doc
unlink:    /portage/build_tmp/portage/xorg-x11-6.8.2-r2/image/usr/lib/libGL.so (
symlink to /usr/lib/opengl/xorg-x11/lib/libGL.so.1.2)
unlink:    /portage/build_tmp/portage/xorg-x11-6.8.2-r2/image/usr/lib/libGL.so (
symlink to /usr/lib/opengl/xorg-x11/lib/libGL.so.1.2)
rename:    /portage/build_tmp/portage/xorg-x11-6.8.2-r2/image/usr/lib/libGL.so (
symlink to /usr/lib/opengl/xorg-x11/lib/libGL.so.1.2)
--------------------------------------------------------------------------------


e2fsprogs
=========
(At first I thought this was just a big with the splitting off of the libcom
stuff, but it seems to be just me :-/)

making executable: /usr/lib/libext2fs.so
making executable: /usr/lib/libuuid.so
>>> Completed installing e2fsprogs-1.38 into
/portage/build_tmp/portage/e2fsprogs-1.38/image/

--------------------------- ACCESS VIOLATION SUMMARY ---------------------------
LOG FILE = "/var/log/sandbox/sandbox-sys-fs_-_e2fsprogs-1.38-15089.log"

unlink:   
/portage/build_tmp/portage/e2fsprogs-1.38/image/usr/share/info/libext2fs.info*
symlink:   /portage/build_tmp/portage/e2fsprogs-1.38/image/usr/lib/lib/libcom_err.a
--------------------------------------------------------------------------------


Fix........?
============
Putting -sandbox in features fixes this, but im not all that happy with that as
a solution. :)

Also, if Im really quick and can create
/portage/build_tmp/portage/e2fsprogs-1.38/image/usr/share/info in the 'install'
process, then it removes the first error.

As I said, I thought the 2nd error was caused by the recent split off of that
library, but *shrugs* if its only me it must be something Im doing wrong then?

My info
=======
root@kali /usr/portage # emerge info
Portage 2.0.51.22-r2 (!/usr/portage/profiles/default-linux/ppc64/2004.3, gcc-3.4
.4, glibc-2.3.4.20041102-r1, 2.6.11-gentoo-r8 ppc64)
=================================================================
System uname: 2.6.11-gentoo-r8 ppc64 PPC970, altivec supported
Gentoo Base System version 1.6.13
dev-lang/python:     2.3.5
sys-apps/sandbox:    1.2.11
sys-devel/autoconf:  2.13, 2.59-r6
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.5
sys-devel/binutils:  2.15.90.0.3-r5
sys-devel/libtool:   1.5.18-r1
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="ppc64"  
AUTOCLEAN="yes"          
CBUILD="powerpc64-unknown-linux-gnu"
CFLAGS="-O2 -mcpu=G5 -pipe -maltivec -mabi=altivec -fno-strict-aliasing
-mpowerpc-gfxopt -mmultiple -mstring"
CHOST="powerpc64-unknown-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3/share/config
/usr/lib/X11/xkb /usr/share/config /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-O2 -mcpu=G5 -pipe -maltivec -mabi=altivec -fno-strict-aliasing
-mpowerpc-gfxopt -mmultiple -mstring"
DISTDIR="/portage/distfiles"
FEATURES="autoconfig ccache distlocks nostrip sandbox sfperms strict"
GENTOO_MIRRORS="http://kali.cs.mu.oz.au/gentoo/ http://rahu.cs.mu.oz.au/gentoo/
http://ftp.monash.edu.au/pub/linux/gentoo/ http://128.213.5.34/gentoo/
http://mirror.datapipe.net/gentoo http://gentoo.eliteitminds.com
http://csociety-ftp.ecn.purdue.edu/pub/gentoo/ http://gentoo.llarian.net/
ftp:///ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/
ftp://mirrors.sec.informatik.tu-darmstadt.de/gentoo/
ftp://mirror.pacific.net.au/linux/Gentoo"
MAKEOPTS="-j3"           
PKGDIR="/portage/packages"
PORTAGE_TMPDIR="/portage/build_tmp"
PORTDIR="/portage/portage_tree"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rahu.cs.mu.oz.au/gentoo-portage"
USE="ppc64 X alsa berkdb bitmap-fonts cdr crypt dvdr emboss escreen esd fam
fbcon font-server fortran gdbm gif gpm gtk jpeg motif mozcalendar mozilla
ncurses nls opengl pam perl png python readline sdk slang ssl tcpd terminfo
threads tiff truetype truetype-fonts type1-fonts unicode xinerama xml2 xv zlib
video_cards_riva userland_GNU kernel_linux elibc_glibc"
Unset:  ASFLAGS, CTARGET, LANG, LC_ALL, LDFLAGS, LINGUAS

Note that i get this on my native ppc64 and also on my chrooted ppc32 install too.

Comment 77 foser (RETIRED) gentoo-dev 2005-07-25 03:50:42 UTC
@cameron : your problems are not related to this bugreport at all. Please file a
new bug, something on your system seems seriously screwed. And no, -sandbox is
NOT a good idea.
Comment 78 Steev Klimaszewski gentoo-dev 2005-07-28 11:05:50 UTC
I am working on a package that I am hoping to submit via Bugzilla for inclusion
into Portage, however I am running into this problem as well.  I have tried the
fix that is in the balsa and gpdf ebuilds that are in Portage, however, I am
still getting the access violation error.

I have this in my ebuild,
src_install() {
    #FIXME: Trying to get around the access violation with sandbox...
    gnome2_src_install scrollkeeper_localstate_dir=${D}/var/lib/scrollkeeper/

}

I copied the command from the Balsa ebuild, but I still get, upon doing an
ebuild package-name-version.ebuild install,

open_wr:   /var/lib/scrollkeeper/scrollkeeper_docs
open_wr:   /var/lib/scrollkeeper/scrollkeeper_docs

I have revision 1.55 of the gnome2.eclass, and haven't had this problem with any
of the packages that are in Portage already.  I know you don't want to help with
stuff that isn't in the tree yet Foser, but are we supposed to wait for you to
add a package, rather than try to help?
Comment 79 Steev Klimaszewski gentoo-dev 2005-07-29 00:29:09 UTC
After much hunting, I have come across this in an omf.make file, after the
gnome2_omf_fix has been applied.

_sklocalstatedir ?= `scrollkeeper-config --pkglocalstatedir`

changing 

gnome2_src_install scrollkeeper_localstate_dir=${D}/var/lib/scrollkeeper 
to 
gnome2_src_install _sklocalstatedir=${D}/var/lib/scrollkeeper 

seems to do the trick here.
Comment 80 Steev Klimaszewski gentoo-dev 2005-07-29 01:16:42 UTC
Created attachment 64596 [details]
Patch for the gnome2 eclass to add _sklocalstatedir

This patch adds the _sklocalstatedir=${D}/var/lib/scrollkeeper/ to the einstall
line under gnome2_src_install
Comment 81 Steev Klimaszewski gentoo-dev 2005-07-29 01:43:19 UTC
Adding Cardoe to the cc list per his request.
Comment 82 Paul 2005-07-30 11:05:28 UTC
--------------------------- ACCESS VIOLATION SUMMARY ---------------------------
LOG FILE =
"/var/log/sandbox/sandbox-gnome-base_-_control-center-2.10.1-r1-13965.log"

open_wr:  
/vvar/tmp/portage/control-center-2.10.1-r1/image/usr/share/control-center-2.0/pixmaps/keyboard-repeat.png
open_wr:  
/vvar/tmp/portage/control-center-2.10.1-r1/image/usr/share/control-center-2.0/pixmaps/keyboard-cursor.png
open_wr:  
/vvar/tmp/portage/control-center-2.10.1-r1/image/usr/share/control-center-2.0/pixmaps/keyboard-volume.png
open_wr:  
/vvar/tmp/portage/control-center-2.10.1-r1/image/usr/share/control-center-2.0/pixmaps/keyboard-bell.png
-------------------------------------------------------------------------------- 
Comment 83 foser (RETIRED) gentoo-dev 2005-07-31 09:06:12 UTC
@steev : I only have so much time and thats already way too limited to attend to
stuff that happens in the tree. Anyway, setting an internal var of somesort
seems a bit overdone, I would suspect this particular unnamed package's auto*
stuff more if the workaround does the trick everywhere else.

@paul : this bug seems to attract a lot of unrelated 'sandbox violations' bugs.
Your problem has nothing todo with scrollkeeper and should be filed as a new bug
if it really is a problem. You're installing in /vvar dir while we normally
build in /var, that seems a bit odd to me.
Comment 84 Leonardo Boshell (RETIRED) gentoo-dev 2005-08-21 20:17:54 UTC
Apparently all the issues in core GNOME packages have been resolved. In case new
sandbox violations appear, please open new reports for them.

Thanks.